Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DataFactoryUtils

Object
hdf.view.TableView.DataFactoryUtils

public class DataFactoryUtils extends Object
A class containing utility functions for the various DataXXXFactory classes, such as DataProviderFactory, DataDisplayConverterFactory and DataValidatorFactory.

Version:
  1.0 2/21/2019
Author:
  Jordan T. Henderson

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CMPD_START_IDX_MAP_INDEX`
  the CMPD_START_IDX_MAP_INDEX value
  `static final int`
  `COL_TO_BASE_CLASS_MAP_INDEX`
  the COL_TO_BASE_CLASS_MAP_INDEX value
  `static final String`
  `errStr`
  the error string value
  `static final String`
  `nullStr`
  the null sting value

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataFactoryUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HashMap<Integer,Integer>[]`
  `buildIndexMaps(CompoundDataFormat dataFormat, List<Datatype> localSelectedTypes)`
  build the index maps compound types.
  `static List<Datatype>`
  `filterNonSelectedMembers(CompoundDataFormat dataFormat, Datatype compoundType)`
  Given a CompoundDataFormat, as well as a compound datatype, removes the non-selected datatypes from the List of datatypes inside the compound datatype and returns that as a new List.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### errStr

    public static final String errStr
    the error string value
    See Also:
      - Constant Field Values

  - ### nullStr

    public static final String nullStr
    the null sting value
    See Also:
      - Constant Field Values

  - ### COL_TO_BASE_CLASS_MAP_INDEX

    public static final int COL_TO_BASE_CLASS_MAP_INDEX
    the COL_TO_BASE_CLASS_MAP_INDEX value
    See Also:
      - Constant Field Values

  - ### CMPD_START_IDX_MAP_INDEX

    public static final int CMPD_START_IDX_MAP_INDEX
    the CMPD_START_IDX_MAP_INDEX value
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataFactoryUtils

    public DataFactoryUtils()

- ## Method Details

  - ### filterNonSelectedMembers

    public static List<Datatype> filterNonSelectedMembers(CompoundDataFormat dataFormat, Datatype compoundType)
    Given a CompoundDataFormat, as well as a compound datatype, removes the non-selected datatypes from the List of datatypes inside the compound datatype and returns that as a new List.
    Parameters:
      `dataFormat` - the compound data object
      `compoundType` - the datatype instance of the compound data object
    Returns:
      the list of datatypes in the compound data object

  - ### buildIndexMaps

    public static HashMap<Integer,Integer>[] buildIndexMaps(CompoundDataFormat dataFormat, List<Datatype> localSelectedTypes) throws Exception
    build the index maps compound types.
    Parameters:
      `dataFormat` - the compound data object
      `localSelectedTypes` - the list of datatypes of the compound data object
    Returns:
      the map of datatypes in the compound data object
    Throws:
      `Exception` - if a failure occurred